Package csb :: Package statistics :: Package samplers :: Package mc :: Module propagators :: Class AbstractPropagator

[frames] | no frames]

# Class AbstractPropagator

source code

    object --+
             |
            AbstractPropagator

Known Subclasses:
  - neqsteppropagator.NonequilibriumStepPropagator
  - , AbstractMCPropagator
  - , MDPropagator

Abstract propagator class. Subclasses serve to propagate an inital state by some dynamics to a final state.

Nested Classes
| __metaclass__ Metaclass for defining Abstract Base Classes (ABCs).

Instance Methods

AbstractPropagationResult

generate(self, init_state, length, return_trajectory=False) Generate a trajectory, starting from an initial state with a certain length. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``'``generate``'``])``

Properties
Inherited from `object`: `__class__`

Method Details

### generate(self, init_state, length, return_trajectory=False)

source code

Generate a trajectory, starting from an initial state with a certain length.

Parameters:
  - `init_state` (State) - Initial state from which to propagate
  - `length` (int) - Length of the trajectory (in integration steps or stochastic moves)
  - `return_trajectory` (boolean) - Return complete Trajectory instead of the initial and final states only (PropagationResult)
Returns: AbstractPropagationResult